<style>
	.has-error input{
  border: 2px solid red;
}
.has-error select{
 border: 2px solid red;
}

.modal-dialog {
    max-width: 800px !important;
}
</style>

<div ng-controller="flightHotelCtrl">
	<form name="holidayForm" ng-submit="holidaySearch(holidayForm.$valid);">
	<div class="row">
		<div class="form-group col-md-4 pr-0">
			<label>Flying from?</label><span class="red">*</span>
			<!-- <div ng-class="{'has-error' :holidayForm.from_place.$invalid && submitted}"> -->
			<div ng-class="{'has-error': holidayForm.from_places.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-flights"></i></span>
				</div>
				<!-- <input type="text" id="from_place" name="from_place" ng-change="flightfromAutoComplet(fromFlight);" placeholder="Enter an airport" ng-model="fromFlight" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:12" class="form-control" required autocomplete="off"/> -->
				<input type="text" placeholder="Enter an airport"  ng-model="searchFlightObjJson.frmAirport" id="from_places" name="from_places" class="form-control" required autofocus/>
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Where to?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.to_places.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
				</div>
				<!-- <input type="text" id="to_place" name="to_place" ng-change="flightfromAutoComplet(toflight);" class="form-control" placeholder="Enter a destination" ng-model="toflight" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:12" required autocomplete="off"/> -->
				<input type="text" id="to_places" required name="to_places" ng-model="searchFlightObjJson.toAirport" class="form-control" placeholder="Ender a destination" />
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.daterange1.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input type="text" id="daterange1" name="daterange1" class="form-control date-picker" placeholder="Enter a date" date-range-picker ng-model="date" options="opts" required autocomplete="off"/>
				
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4 pr-0">
			<label>Hotel City</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.from_hotel.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-hotels"></i></span>
				</div>
				<input type="text" id="from_hotel" name="from_hotel" ng-change="cityAutoComplet(fromHotel)" placeholder="Enter an airport" ng-model="fromHotel" uib-typeahead="cities as cities.Title for cities in city | filter:$viewValue | limitTo:8" class="form-control" required autocomplete="off"/>
			</div>
				</div>
			
		</div>
		
		<div class="form-group col-md-4 pr-0">
			<label>When?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.hoteldaterange.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
				</div>
				<input type="text" id="hoteldaterange" name="hoteldaterange" class="form-control date-picker" placeholder="Enter a date" date-range-picker ng-model="hoteldate" required autocomplete="off"/>
				
			</div>
				</div>
			
		</div>
		<div class="form-group col-md-4">
			<label>Who is going?</label><span class="red">*</span>
			<div ng-class="{'has-error': holidayForm.passages.$invalid && submitted}">
				<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text" id="basic-addon1"><i class="icon-occupancy"></i></span>
				</div>
				<!-- <input type="text" class="form-control" name="passages" value="{{passengerCount}}" placeholder="Enter passenger count" ng-click="open();" autocomplete="off"/> -->
				<input type="text" class="form-control" name="passenger" ng-model="passengerInfo" placeholder="Enter passenger count" ng-click="open();"/>
			</div>
				</div>
			
			
		</div>
	</div>
	<!--
	<div class="row">
		<div class="col-md-12 text-right">
			<a class="group-bookings-prompt" href="#">Group Booking Enquiries</a>
		</div>
	</div>
	-->
	<div class="row mt-3">
		<div class="col-md-7">
			<div class="row extra-flight-options-panel">
				<div class="col col-1">
					<i class="icon icon-flights"></i>
				</div>
				<!--
					<div class="col col-3">
					<div class="checkbox">
                    <input type="checkbox" id="customCheck1">
                    <label for="customCheck1">Direct Only</label>
					</div>
					</div>
				-->
				<div class="col">
						<div class="dropdown" uib-dropdown>
							<button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">
								Cabin class: <span class="dd-update">{{cabinClass}}</span>
							</button>
							<div class="dropdown-menu" uib-dropdown-menu aria-labelledby="dropdownMenuButton">
								<a class="dropdown-item" id="cabin_class" href="#" ng-click="changeCabinClass(action)" ng-repeat="action in cabinClassList">{{action}}</a>
								<!-- <a class="dropdown-item" href="#">Premium Economy</a>
								<a class="dropdown-item" href="#">Business</a>
								<a class="dropdown-item" href="#">First</a> -->
							</div>
						</div>
					</div>
				<!-- <div class="col">
					<div uib-dropdown>
						<button class="btn" type="button" id="dropdownMenuButton" uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">Airline: <span class="dd-update">All Airlines</span></button>
						<div class="dropdown-menu" uib-dropdown-menu aria-labelledby="dropdownMenuButton">
							<a class="dropdown-item active" href="#">All Airlines</a>
							<a class="dropdown-item" href="#">Emirates</a>
							<a class="dropdown-item" href="#">Qatar Airways</a>
							<a class="dropdown-item" href="#">Flydubai</a>
						</div>
					</div>
				</div> -->
				<div class="col">
							<div class="col-md-3 form-group dropdown">
								<select class="dropdown-menuairline" id="airlineDropdown" ng-model="airlinee" aria-labelledby="dropdownMenuButton" style="position: absolute;">
								<option class="dropdown-item" id="airline" href="#" value={{airline.code}} ng-repeat="airline in airlineList">{{airline.title}}</option>
							</select>
						</div>
					</div>
			</div>
			
		</div>
		<div class="col-md-5 text-right">
			<!-- <button type="button" class="btn btn-dark btn-search" ng-disabled="disabled" ng-click="search()"><i class="fa fa-search" aria-hidden="true"></i> Search</button> -->
			<button type="submit" class="btn btn-dark btn-search"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
		</div>
		
	</div>
	</form>
	<div class="modal-demo">
		<script type="text/ng-template" id="modalContent.html">
			<div class="modal-header">
			<h3 class="modal-title" id="modal-title">
			Passenger Count
		</h3>
	</div>
		<form name="myForm">
						<div class = "col-md-12">
						
								<div class = " col-md-12 pad0">
                                    <div class="form-group col-md-6" style="margin-left: 5%">
                                       <div class="col-md-8">
                                    		
								
  								  </div></div>
									</div>
                             
                            
								<div class = "col-md-12 custom-room-scroll pad0" id = "rooms_block">

									<!-- Start of Row -->
									 <div  ng-repeat="roomBean in roomList"  class="row adult_content margin0">  
                                         
                                         
                                         
									 	<div class="form-group col-md-12">
                                            
											<div class = "col-md-2 pad0">
                                                <label class="col-md-12 control-label pad0">Room {{$index+1}}</label>
											</div>
											<div class = "col-md-1 pad0" style="width: 30px;">
                                           		 <a href="#" class="round-button round-button-remove remove-row" ng-click="removeRoom($index)" ng-if="roomList.length > 1">	X </a>
                                           </div>
											<div class = "col-md-2 pad0">
                                                <label class="col-md-4 control-label pad0">Adult</label>
                                                  <div class="col-md-8">
												<select ng-model="roomBean.adultCount" class="form-control adult_count">
													<option>1</option><option>2</option><option>3</option><option>4</option>
												</select>  
    </div>
											</div>
                                            
											<div class="col-md-2 child_content pad0">
                                                <label class="col-md-4 control-label pad0">Child</label>
                                                  <div class="col-md-8">
												<select ng-model="roomBean.childCount"  ng-change="updateChildList($index)" class="form-control child" >
																	<option>0</option><option>1</option><option>2</option>							
												</select>	
    </div>
												</div>
                                            
											<div class="col-md-5 pad0" ng-repeat="childBean in roomBean.childrens" >	
											<div  class="col-md-6 child_content pad0" ng-repeat="childInfo in childBean.childBeans">
                                                
												 <label class="col-md-6 control-label opensans">Age {{$index+1}}</label>
                                                <div class="col-md-6">
												<select ng-model="childInfo.age" class="form-control input-sm mb15 child_age" style="margin-right: -28px;" required>
													<option>1</option><option>2</option><option>3</option><option>4</option><option>5</option><option>6</option><option>7</option><option>8</option><option>9</option>
												</select>
                                                    </div>
											</div>
											</div>
                                            
										</div>
                                         
                                         
                                         
                                         
									</div>
																				
									</div>
							
						
							
							
						</div>
						</form>
					<div class="modal-footer">
						<div style="padding-right: 50%;">
						<a class="round-o-icon-label button-add-room" href="#" ng-click="addRoom()" ng-if="maxRooms > 1" ng-hide="roomList.length >= maxRooms">
                <span class="round-button round-button-add">+</span>
                Add another room
           						 </a>
						</div>
						<button type="submit" class="applyBtn btn btn-sm btn-success" ng-click="ok();">OK</button>
						<button type="button" class="cancelBtn btn btn-sm btn-default" ng-click="cancel();">Cancel</button>
					</div>
	</script>
	</div>

</div>

